Bug 66855 - [EFL] Call FrameLoader::detachFromParent() when destroying a frame.
Summary: [EFL] Call FrameLoader::detachFromParent() when destroying a frame.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Raphael Kubo da Costa (:rakuco)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-24 06:49 PDT by Raphael Kubo da Costa (:rakuco)
Modified: 2011-09-20 11:08 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.70 KB, patch)
2011-08-24 06:52 PDT, Raphael Kubo da Costa (:rakuco)
no flags Details | Formatted Diff | Diff
Same patch, with tonikitoo as reviewer (1.61 KB, patch)
2011-09-20 10:05 PDT, Raphael Kubo da Costa (:rakuco)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa (:rakuco) 2011-08-24 06:49:51 PDT
[EFL] Call FrameLoader::detachFromParent() when destroying a frame.
Comment 1 Raphael Kubo da Costa (:rakuco) 2011-08-24 06:52:13 PDT
Created attachment 104991 [details]
Patch
Comment 2 Raphael Kubo da Costa (:rakuco) 2011-08-25 10:15:38 PDT
Any chance of r+'ing it too?
Comment 3 Raphael Kubo da Costa (:rakuco) 2011-09-20 10:05:41 PDT
Created attachment 108013 [details]
Same patch, with tonikitoo as reviewer
Comment 4 WebKit Review Bot 2011-09-20 11:08:27 PDT
Comment on attachment 108013 [details]
Same patch, with tonikitoo as reviewer

Clearing flags on attachment: 108013

Committed r95556: <http://trac.webkit.org/changeset/95556>
Comment 5 WebKit Review Bot 2011-09-20 11:08:31 PDT
All reviewed patches have been landed.  Closing bug.